Jack2: Jack::JackGraphManager Class Reference

Jack2 1.9.12

Public Member Functions | Static Public Member Functions | List of all members
Jack::JackGraphManager Class Reference

Graph manager: contains the connection manager and the port array. More...

`#include <JackGraphManager.h>`

Inheritance diagram for Jack::JackGraphManager:

## Public Member Functions
| JackGraphManager (int port_max)
void | SetBufferSize (jack_nframes_t buffer_size)
jack_port_id_t | AllocatePort (int refnum, const char *port_name, const char *port_type, JackPortFlags flags, jack_nframes_t buffer_size)
int | ReleasePort (int refnum, jack_port_id_t port_index)
void | GetInputPorts (int refnum, jack_int_t *res)
void | GetOutputPorts (int refnum, jack_int_t *res)
void | RemoveAllPorts (int refnum)
void | DisconnectAllPorts (int refnum)
JackPort * | GetPort (jack_port_id_t index)
jack_port_id_t | GetPort (const char *name)
int | ComputeTotalLatency (jack_port_id_t port_index)
int | ComputeTotalLatencies ()
void | RecalculateLatency (jack_port_id_t port_index, jack_latency_callback_mode_t mode)
int | RequestMonitor (jack_port_id_t port_index, bool onoff)
int | Connect (jack_port_id_t src_index, jack_port_id_t dst_index)
int | Disconnect (jack_port_id_t src_index, jack_port_id_t dst_index)
int | IsConnected (jack_port_id_t port_src, jack_port_id_t port_dst)
int | GetConnectionsNum (jack_port_id_t port_index)
const char ** | GetConnections (jack_port_id_t port_index)
void | GetConnections (jack_port_id_t port_index, jack_int_t *connections)
const char ** | GetPorts (const char *port_name_pattern, const char *type_name_pattern, unsigned long flags)
int | GetTwoPorts (const char *src, const char *dst, jack_port_id_t *src_index, jack_port_id_t *dst_index)
int | CheckPorts (jack_port_id_t port_src, jack_port_id_t port_dst)
void | DisconnectAllInput (jack_port_id_t port_index)
void | DisconnectAllOutput (jack_port_id_t port_index)
int | DisconnectAll (jack_port_id_t port_index)
bool | IsDirectConnection (int ref1, int ref2)
void | DirectConnect (int ref1, int ref2)
void | DirectDisconnect (int ref1, int ref2)
void | Activate (int refnum)
void | Deactivate (int refnum)
int | GetInputRefNum (jack_port_id_t port_index)
int | GetOutputRefNum (jack_port_id_t port_index)
void * | GetBuffer (jack_port_id_t port_index, jack_nframes_t frames)
void | RunCurrentGraph ()
bool | RunNextGraph ()
bool | IsFinishedGraph ()
void | InitRefNum (int refnum)
int | ResumeRefNum (JackClientControl *control, JackSynchro *table)
int | SuspendRefNum (JackClientControl *control, JackSynchro *table, long usecs)
void | TopologicalSort (std::vector< jack_int_t > &sorted)
JackClientTiming * | GetClientTiming (int refnum)
void | Save (JackConnectionManager *dst)
void | Restore (JackConnectionManager *src)
Public Member Functions inherited from Jack::JackShmMem
void * | operator new (size_t size)
void * | operator new (size_t size, void *memory)
void | operator delete (void *p, size_t size)
void | operator delete (void *p)
Public Member Functions inherited from Jack::JackShmMemAble
void | Init ()
int | GetShmIndex ()
char * | GetShmAddress ()
void | LockMemory ()
void | UnlockMemory ()
Public Member Functions inherited from Jack::JackAtomicState< JackConnectionManager >
JackConnectionManager * | ReadCurrentState ()
| Returns the current state : only valid in the RT reader thread.
UInt16 | GetCurrentIndex ()
| Returns the current state index.
JackConnectionManager * | TrySwitchState ()
| Tries to switch to the next state and returns the new current state (either the same as before if case of switch failure or the new one)
JackConnectionManager * | TrySwitchState (bool *result)
| Tries to switch to the next state and returns the new current state (either the same as before if case of switch failure or the new one)
JackConnectionManager * | WriteNextStateStart ()
| Start write operation : setup and returns the next state to update, check for recursive write calls.
void | WriteNextStateStop ()
| Stop write operation : make the next state ready to be used by the RT thread.
bool | IsPendingChange ()

## Static Public Member Functions
static JackGraphManager * | Allocate (int port_max)
static void | Destroy (JackGraphManager *manager)

## Additional Inherited Members
Protected Member Functions inherited from Jack::JackAtomicState< JackConnectionManager >
UInt32 | WriteNextStateStartAux ()
void | WriteNextStateStopAux ()
Protected Attributes inherited from Jack::JackShmMemAble
jack_shm_info_t | fInfo
Protected Attributes inherited from Jack::JackAtomicState< JackConnectionManager >
JackConnectionManager | fState [2]
volatile AtomicCounter | fCounter
SInt32 | fCallWriteCounter

## Detailed Description

Graph manager: contains the connection manager and the port array.

Definition at line 40 of file JackGraphManager.h.

## Member Function Documentation

## ◆ RequestMonitor()

int Jack::JackGraphManager::RequestMonitor | ( | jack_port_id_t | port_index,
|  | bool | onoff
| ) |  |

jackd.h If JackPortCanMonitor is set for this port, turn input monitoring on or off. Otherwise, do nothing.

if (!(fFlags & JackPortCanMonitor)) return -1;

Definition at line 228 of file JackGraphManager.cpp.

The documentation for this class was generated from the following files:

- JackGraphManager.h
- JackGraphManager.cpp